For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
ModelsChatRankingsDocs
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
  • API Guides
    • Overview
    • Streaming
    • Embeddings
    • Limits
    • Authentication
    • Parameters
    • Errors and Debugging
  • API Reference
      • POSTSubmit an embedding request
      • GETList all embeddings models
LogoLogo
ModelsChatRankingsDocs
API ReferenceEmbeddings

List all embeddings models

GET
https://openrouter.ai/api/v1/embeddings/models
GET
/api/v1/embeddings/models
$curl https://openrouter.ai/api/v1/embeddings/models \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "architecture": {
5 "input_modalities": [
6 "text"
7 ],
8 "modality": "text->text",
9 "output_modalities": [
10 "embeddings"
11 ],
12 "instruct_type": null,
13 "tokenizer": "GPT"
14 },
15 "canonical_slug": "openai/text-embedding-3-small",
16 "context_length": 8192,
17 "created": 1692901234,
18 "default_parameters": null,
19 "id": "openai/text-embedding-3-small",
20 "links": {
21 "details": "/api/v1/models/openai/text-embedding-3-small/endpoints"
22 },
23 "name": "Text Embedding 3 Small",
24 "per_request_limits": null,
25 "pricing": {
26 "completion": "0",
27 "prompt": "0.00000002",
28 "image": "0",
29 "request": "0"
30 },
31 "supported_parameters": [],
32 "supported_voices": null,
33 "top_provider": {
34 "is_moderated": false,
35 "context_length": 8192,
36 "max_completion_tokens": null
37 },
38 "description": "OpenAI text embedding model optimized for performance.",
39 "expiration_date": null,
40 "knowledge_cutoff": null
41 }
42 ]
43}
Returns a list of all available embeddings models and their properties
Was this page helpful?
Previous

Preview the impact of ZDR on the available endpoints

Next
Built with

Authentication

AuthorizationBearer
API key as bearer token in Authorization header

Response

Returns a list of embeddings models
datalist of objects
List of available models

Errors

400
Bad Request Error
500
Internal Server Error